>From 0931da19b1960525f696a92997e294e9bea30e5c Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Mon, 31 Aug 2015 23:59:13 -0400
Subject: [PATCH 05/10] Add missing rules related to EUC_JIS_2004 and
 SHIFT_JIS_2004 encodings

This was apparently forgotten in commit
75c6519ff68dbb97f73b13e9976fb8075bbde7b8.
---
 src/backend/utils/mb/Unicode/Makefile | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/src/backend/utils/mb/Unicode/Makefile b/src/backend/utils/mb/Unicode/Makefile
index b15efce..1c14b13 100644
--- a/src/backend/utils/mb/Unicode/Makefile
+++ b/src/backend/utils/mb/Unicode/Makefile
@@ -50,7 +50,11 @@ SPECIALMAPS = euc_cn_to_utf8.map utf8_to_euc_cn.map \
 	euc_tw_to_utf8.map utf8_to_euc_tw.map \
 	sjis_to_utf8.map utf8_to_sjis.map \
 	gb18030_to_utf8.map utf8_to_gb18030.map \
-	big5_to_utf8.map utf8_to_big5.map
+	big5_to_utf8.map utf8_to_big5.map \
+	euc_jis_2004_to_utf8.map euc_jis_2004_to_utf8_combined.map \
+	utf8_to_euc_jis_2004.map utf8_to_euc_jis_2004_combined.map \
+	shift_jis_2004_to_utf8.map shift_jis_2004_to_utf8_combined.map \
+	utf8_to_shift_jis_2004.map utf8_to_shift_jis_2004_combined.map
 
 MAPS = $(GENERICMAPS) $(SPECIALMAPS)
 
@@ -92,6 +96,12 @@ gb18030_to_utf8.map utf8_to_gb18030.map: UCS_to_GB18030.pl gb-18030-2000.xml
 big5_to_utf8.map utf8_to_big5.map: UCS_to_BIG5.pl BIG5.TXT CP950.TXT
 	$(PERL) $<
 
+euc_jis_2004_to_utf8.map euc_jis_2004_to_utf8_combined.map utf8_to_euc_jis_2004.map utf8_to_euc_jis_2004_combined.map: UCS_to_EUC_JIS_2004.pl euc-jis-2004-std.txt
+	$(PERL) $<
+
+shift_jis_2004_to_utf8.map shift_jis_2004_to_utf8_combined.map utf8_to_shift_jis_2004.map utf8_to_shift_jis_2004_combined.map: UCS_to_SHIFT_JIS_2004.pl sjis-0213-2004-std.txt
+	$(PERL) $<
+
 distclean: clean
 	rm -f $(TEXTS)
 
-- 
2.5.1

